
using System.Runtime.CompilerServices;

namespace Model
{
    public class Animal
    {
        public int nb_animal=1;
        public string Nom { get; set; }
        public string InfoUtile { get; set; }
        public string Conseille { get; set; }

        public Animal(string nom, string infoUtile = "rien", string conseille = "rien")
        {
            Nom = nom;
            InfoUtile = infoUtile;
            Conseille = conseille;
            nb_animal = nb_animal + 1;
            
        }

        public void AfficherlisteRace()
        {
            for (int i = 0; i < nb_animal; i++) {
                Console.WriteLine(Nom);
             }
        }
        public void afficherInfoUtile()
        {
            Console.WriteLine(InfoUtile);
        }
        public void AfficherConseille()
        {
            Console.WriteLine(Conseille);
        }


    }
}
